
Foreman - Bug #14313

expanding a fact does not maintain search making it impossible to find values

03/22/2016 07:38 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Facts   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1320131 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3516

  

Description

For facts with hierarchy it is not possible to narrow down the values shown. For example, a system registering with

subscription-manager has many groupings of facts (dmi, distribution, net, lscpu, etc.), each of which is shown with the "+" symbol to

click on to drill down into that group. The problem is that when looking at a single host via search (eg. name =

laptop.usersys.redhat.com), clicking the "+" brings you to a page with facts in that group for all hosts, not he one searched for. When

there are more than a few hosts this generates pages of data. Entering the search again in attempt to reduce the values shown

brings you back to the top level of facts.

Related issues:

Related to Foreman - Bug #13705: facts with parents are not visible via search New 02/15/2016

Associated revisions

Revision 9b6c84d4 - 05/12/2016 04:01 PM - Marek Hulán

Fixes #14313 - improve facts navigation and URL

History

#1 - 03/22/2016 07:39 AM - Thomas McKay

- Bugzilla link set to 1320131

#2 - 03/22/2016 07:43 AM - Dominic Cleal

- Category changed from Web Interface to Facts

#3 - 04/15/2016 11:08 AM - Thomas McKay

- Blocks Bug #12533: Subscriptions Tracker added

#4 - 04/17/2016 05:25 AM - Ohad Levy

- Related to Bug #13705: facts with parents are not visible via search added

#5 - 05/11/2016 05:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/3516 added

#6 - 05/12/2016 05:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9b6c84d45289e83567752eb35e38edeaaafe9dc4.

#7 - 05/13/2016 03:16 AM - Marek Hulán
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9b6c84d45289e83567752eb35e38edeaaafe9dc4


- translation missing: en.field_release set to 136

#8 - 05/25/2016 09:58 AM - Thomas McKay

- Blocks deleted (Bug #12533: Subscriptions Tracker)
